Jiniu AIJiniu AI
Docs
VideosVolcano native formatAsset libraryAsset group

Update asset group

Send only the fields you want to change; omitted fields are left untouched.

POST
/api/material

Authorization

bearerAuth

AuthorizationBearer <token>

Authorization: Bearer

In: header

Query Parameters

Action*string

Fixed value: UpdateAssetGroup

Value in"UpdateAssetGroup"

Request Body

application/json

Id*string

Asset group ID

Name?string

New name; leave empty to keep the current one

Description?string

New description; leave empty to keep the current one

Response Body

application/json

curl -X POST "https://jiniu.ai/api/material?Action=UpdateAssetGroup" \  -H "Content-Type: application/json" \  -d '{    "Id": "group-xxxx"  }'
{
  "ResponseMetadata": {
    "RequestId": "…",
    "Action": "UpdateAssetGroup"
  },
  "Result": {
    "Id": "group-xxxx"
  }
}